"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const microservice_1 = require("@jfrog-pipelines/microservice");
const LogWorker_1 = require("../LogWorker");
require("../app");
jest.mock('@jfrog-pipelines/microservice');
jest.mock('@jfrog-pipelines/logger', () => {
    const actualTracker = jest.requireActual('@jfrog-pipelines/logger');
    return {
        ...actualTracker,
        Log: jest.fn()
    };
});
jest.mock('../LogWorker');
describe('Test logService app', () => {
    it('should check app initialization', () => {
        jest.spyOn(LogWorker_1.LogWorker.prototype, 'process').mockResolvedValue();
        jest.spyOn(microservice_1.Application.prototype, 'listen').mockResolvedValue();
        expect(LogWorker_1.LogWorker).toBeDefined();
        expect(microservice_1.Application).toBeDefined();
    });
});
//# sourceMappingURL=app.test.js.map