import { StepletConsoleAttributes } from '@jfrog-pipelines/types';
export declare class StepletConsoleRepository {
    private readonly stepId;
    private readonly stepletConsoleDao;
    private readonly retryAwareStepletConsoleDao;
    private readonly logger;
    constructor(stepId: number);
    getSetupAndCleanupLogs(stepletId: number): Promise<Map<string, StepletConsoleAttributes[]>>;
    deleteStepletLogs(stepletId: number): Promise<void>;
    private groupByStage;
}
