"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebConsoleCollection = void 0;
const InsertRepository_1 = require("./InsertRepository");
class WebConsoleCollection {
    constructor(objectType, consoleObjects) {
        this.objectType = objectType;
        this.consoleObjects = consoleObjects;
        this.insertRepository = new InsertRepository_1.InsertRepository();
    }
    async save() {
        await this.insertRepository.save(this.objectType, this.consoleObjects);
    }
}
exports.WebConsoleCollection = WebConsoleCollection;
//# sourceMappingURL=WebConsoleCollection.js.map