/// <reference types="node" />
export declare class FileSystemAdapter {
    private readonly stepId;
    private readonly logger;
    constructor(stepId: number);
    createFile(stepletId: number): Promise<string | null>;
    deleteFile(filePath: string): Promise<void>;
    writeLogsToFile(filePath: string, logs: unknown[]): Promise<boolean>;
    clearTempFolder(): Promise<void>;
    writeStreamToFile(filePath: string, inputStream: NodeJS.ReadableStream): Promise<void>;
    getReadStream(filePath: string): NodeJS.ReadableStream;
}
