"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RetryAwareStepConsoleDao = void 0;
const decorators_1 = require("@jfrog-pipelines/decorators");
const StepConsoleDao_1 = require("./StepConsoleDao");
class RetryAwareStepConsoleDao extends StepConsoleDao_1.StepConsoleDao {
    constructor() {
        super();
        this.stepConsoleDao = new StepConsoleDao_1.StepConsoleDao();
    }
    async delete(query) {
        return this.stepConsoleDao.delete(query);
    }
}
__decorate([
    (0, decorators_1.Retry)({ type: decorators_1.BackOffPolicy.ExponentialBackOffPolicy, maxRetryInterval: 4 }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], RetryAwareStepConsoleDao.prototype, "delete", null);
exports.RetryAwareStepConsoleDao = RetryAwareStepConsoleDao;
//# sourceMappingURL=RetryAwareStepConsoleDao.js.map