"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebConsoleArchivalHandler = void 0;
const StepConsoleRootAggregate_1 = require("../domain/archival/StepConsoleRootAggregate");
class WebConsoleArchivalHandler {
    constructor(webConsoleArchivalCommand) {
        this.webConsoleArchivalCommand = webConsoleArchivalCommand;
    }
    async handle() {
        const stepId = this.webConsoleArchivalCommand.getStepId();
        const stepConsoleRootAggregate = new StepConsoleRootAggregate_1.StepConsoleRootAggregate(stepId);
        await stepConsoleRootAggregate.archive(stepId);
    }
}
exports.WebConsoleArchivalHandler = WebConsoleArchivalHandler;
//# sourceMappingURL=WebConsoleArchivalHandler.js.map