import { CommandHandler } from '@jfrog-pipelines/microservice';
import { LogWorkerPayloadSchema } from '@jfrog-pipelines/amqp-client';
declare enum LogWorkerActionEnum {
    ARCHIVAL = "archival",
    INSERTION = "insertion"
}
declare type LogServicePayload = {
    eventType: `${LogWorkerActionEnum}`;
    payload: LogWorkerPayloadSchema;
};
export declare class CommandFactory {
    static getHandler(logServicePayload: LogServicePayload): CommandHandler;
}
export {};
