import { StepAttributes } from '@jfrog-pipelines/types';
import { ArtifactoryUrlVo } from './ArtifactoryUrlVo';
export declare class StepServiceRepository {
    private readonly stepId;
    private readonly logger;
    private readonly stepServiceDataAdapter;
    constructor(stepId: number);
    getStepletIdsByStepId(stepId: number): Promise<number[]>;
    getArtifactoryUrlsByStepId(stepId: number, artifactName: string): Promise<ArtifactoryUrlVo | null>;
    markConsoleArchived(stepletId: number): Promise<void>;
    getStepById(stepId: number): Promise<StepAttributes | null>;
}
