"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NoopFileStrategy = void 0;
const logger_1 = require("@jfrog-pipelines/logger");
class NoopFileStrategy {
    constructor() {
        this.logger = logger_1.LoggerFactory.getLogger(`NoopFileStrategy`);
    }
    appendExecutionLogs() {
        this.logger.debug('Execution logs are not applicable for this step.');
    }
}
exports.NoopFileStrategy = NoopFileStrategy;
//# sourceMappingURL=NoopFileStrategy.js.map