import { StepAttributes, StepletAttributes } from '@jfrog-pipelines/types';
export declare class StepServiceDataAdapter {
    private readonly pipelinesClient;
    constructor();
    getArtifactoryUrlByStepId(stepId: number, artifactName: string): Promise<{
        [key: string]: string;
    }>;
    getStepletsByStepId(stepId: number): Promise<StepletAttributes[]>;
    updateConsoleArchived(stepletId: number): Promise<void>;
    getStepById(stepId: number): Promise<StepAttributes>;
}
