import { Command } from '@jfrog-pipelines/microservice';
import { ConsolesObjectSchema, LogWorkerPayloadSchema } from '@jfrog-pipelines/amqp-client';
export declare const STEP = "step";
export declare const STEPLET = "steplet";
export declare class WebConsoleCreateCommand implements Command {
    private readonly payload;
    private readonly logger;
    constructor(payload: LogWorkerPayloadSchema);
    validate(): void;
    getId(): number;
    getObjectType(): LogWorkerPayloadSchema['objectType'];
    getConsoleObjects(): ConsolesObjectSchema[];
    private validateObjectId;
    private validateObjectType;
    private validateStage;
    private validateType;
}
